import { ModuleDescription, ModuleData, AdventureImage, CaptionImage } from "./IAdventure";
import { ModuleScene, ModuleSceneTiled } from "./ModuleScene";
import { PdfData, PdfImage } from "../parse";
import * as PFS from "./pfs";

const adventureModule : ModuleDescription = {
    prefix: "pfs-1-01",
    fullName: "PFS #1-01 - The Absalom Initiation",
    detect: (pdf: PdfData) => {
        return pdf.textDetails.some(t => t.text == 'PATHFINDER SOCIETY SCENARIO #1–01' && t.fontId == 'GoodOT-CondBold:10' && t.page == 1);
    },
    extractDetails: (text, moduleData) => {
        let i = text.findIndex(t => t.page == 3 && t.x == 269.5874 && t.y == 687.5622);
        if (i !== -1) {
            text[i].fontId = 'Sabon-Roman:9';

            text.splice(i, 0, {
                text: 'Introduction',
                fontId: 'GoodOT-Bold:12',
                fontName: 'GoodOT-Bold',
                fontSize: 12,
                color: '#000000',
                page: 3,
                x: 72,
                y: 680,
                isLeftAligned: true,
                isIndented: false,
            });
        }

        PFS.extractDetails(text, moduleData);
    },
    pages: [
        new PFS.TwoColumnWithRightCutout(3, 270),
        new PFS.TwoColumn(4),
        new PFS.TwoColumn(5),
        new PFS.TwoColumn(6),
        new PFS.TwoColumn(7),
        new PFS.TwoColumn(8),
        new PFS.TwoColumn(9),
        new PFS.TwoColumn(10),
        new PFS.TwoColumnWithRightCutout(11, 550),
        new PFS.TwoColumnWithMap(12, 365),
        new PFS.TwoColumnWithRightCutout(13, 570),
        new PFS.TwoColumn(14),
        // 15 is map
        new PFS.TwoColumnWithLeftCutout(16, 580),
        new PFS.TwoColumn(17),
        new PFS.TwoColumn(18),
        // 19 is map
        new PFS.TwoColumn(20),
        new PFS.TwoColumn(21),
        new PFS.TwoColumnWithLeftCutout(22, 475),
        // 23 is map
        new PFS.TwoColumnWithLeftCutout(24, 355),
        new PFS.TwoColumn(25),
        new PFS.TwoColumn(26),

        // appendix
        new PFS.TwoColumnWithBottomCutout(28, 300, 'appendix1'),
        new PFS.TwoColumnWithBottomCutout(29, 260, 'appendix1'),
        new PFS.TwoColumn(30, 'appendix1'),
        new PFS.TwoColumn(31, 'appendix1'),
        new PFS.TwoColumn(32, 'appendix1'),
        new PFS.TwoColumn(33, 'appendix1'),
        new PFS.TwoColumn(34, 'appendix1'),

        new PFS.TwoColumnWithBottomCutout(35, 300, 'appendix2'),
        new PFS.TwoColumnWithBottomCutout(36, 260, 'appendix2'),
        new PFS.TwoColumn(37, 'appendix2'),
        new PFS.TwoColumn(38, 'appendix2'),
        new PFS.TwoColumn(39, 'appendix2'),
        new PFS.TwoColumn(40, 'appendix2'),
        new PFS.TwoColumn(41, 'appendix2'),
    ],

    scenes: [
        new ModuleScene({
            name: 'map1',
            nameInfo: { x: 38.88, y: 679.0363 },
            nameFn: name => name.substring(3).trim(),
            page: 12, width: 1124, height: 653,
            imageLeft: 11, imageTop: 5, imageRight: 1066, imageBottom: 647,
            imageRows: 14, imageCols: 23,
            globalLight: true,
            journals: [
                {"x":1550,"y":1350,"name":"A1."},
                {"x":1550,"y":750,"name":"A2."},
                {"x":2550,"y":650,"name":"A3."},
                {"x":950,"y":650,"name":"A4."}
            ],
        }),
        new ModuleScene({
            name: 'map2',
            nameInfo: { x: 60, y: 675.0001 },
            nameFn: name => name.substring(3).trim(),
            page: 15, width: 1041, height: 1301,
            imageLeft: 173, imageRight: 868, imageCols: 16,
            imageTop: 88, imageBottom: 1214, imageRows: 26,
            globalLight: true,
            walls: [
                {"_id":"E4dx7oW4e4NIesO5","flags":{},"c":[700,3500,700,2700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"2WcnbJbCZE8V4gx3","flags":{},"c":[700,2700,800,2700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"cQRz9uIHTTQYHhGf","flags":{},"c":[700,2700,700,2400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"oU1KJawlVCqYUUEb","flags":{},"c":[700,2400,900,2400],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"Dup96F0s7BzsZAjZ","flags":{},"c":[900,2400,900,2700],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"TFBlVxkOkIcI6TSB","flags":{},"c":[900,2700,1200,2700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"y9TvEUf5mJVbGlxX","flags":{},"c":[1200,2700,1200,2400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"3zQ6vIMRnTwfPGcL","flags":{},"c":[1200,2400,900,2400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"jgfH5me3UqfNqgbv","flags":{},"c":[900,2400,900,1587],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"5aPER28qviTLT0E2","flags":{},"c":[900,1587,1200,1587],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"DaGn4xykuiyPnXdF","flags":{},"c":[900,1587,900,1000],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"Ky8EZxy54nSrKeGy","flags":{},"c":[900,1000,1200,1000],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"z882cpb5idDM3vrq","flags":{},"c":[1200,1250,1200,1587],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"Da5DMGHYvd6JmZY1","flags":{},"c":[900,1000,900,900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"0lEKsyDLF59LWYCq","flags":{},"c":[900,900,1500,900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"uUCFn153FR9xxJ7j","flags":{},"c":[1500,900,1500,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"5twziYpb2FOY27ZO","flags":{},"c":[1500,1100,1600,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"88bOCgX7lTGfWEbv","flags":{},"c":[1500,900,1800,900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"R2CuF8TKKlJgkfy7","flags":{},"c":[1800,900,2000,900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"GJMlNntOHT0cJLFm","flags":{},"c":[2000,900,2200,900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"RFT5pWEoJS92XPMY","flags":{},"c":[2200,900,2600,900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Jv380dPozFpQfY0k","flags":{},"c":[2600,900,2600,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"EnXfw2xpJMZtsJ5O","flags":{},"c":[2600,1100,2500,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"kMbuYouXhDITABGW","flags":{},"c":[2500,1100,2400,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"VF341dNqYNtCHctH","flags":{},"c":[2200,900,2200,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"LOjed2di8dtdYwaf","flags":{},"c":[2200,1100,2300,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"L3frdrYPV2DnKVJB","flags":{},"c":[2200,1100,2100,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"YJB1qF9DrO1H5WxJ","flags":{},"c":[2000,900,2000,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"oX15J9CPWX1Yknbz","flags":{},"c":[2000,1100,1900,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"8ALN09p3Z9hCP6qy","flags":{},"c":[1800,900,1800,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"630jmPpKMSlFuArT","flags":{},"c":[1800,1100,1700,1100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"CJ5pCauT5SOZgxeo","flags":{},"c":[2500,1100,2500,1200],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Ocvkr9QGPbSWEb0P","flags":{},"c":[2500,1200,2400,1200],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Z0MnRB9HYXKQoI6B","flags":{},"c":[2500,1200,2500,1400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"BsXDKQxzb9pAKL9W","flags":{},"c":[2500,1400,2400,1400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"8A0nDeW0hzUfanFg","flags":{},"c":[2400,1400,2400,1512],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"4G4dHWwfaRX7C61x","flags":{},"c":[2400,1512,1500,1512],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"RDGKDmKRuIuRakSX","flags":{},"c":[1500,1512,1500,1400],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"SUVIQmVf35PvfGxV","flags":{},"c":[1500,1300,1500,1200],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"ZsHb2zBjdVwnKjfC","flags":{},"c":[1500,1200,2300,1200],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"P4QNy0mEkR39HYEM","flags":{},"c":[1600,1100,1700,1100],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"PU9thOFkvXbLqJnH","flags":{},"c":[1800,1100,1900,1100],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"TPfhm5Ptiz403QEc","flags":{},"c":[2000,1100,2100,1100],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"XEoIdBJIH2SPQeFp","flags":{},"c":[2300,1100,2400,1100],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"3K1AflJEHuF4IzC9","flags":{},"c":[2400,1200,2300,1200],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"Q0FLG1ecpnd48nlw","flags":{},"c":[1500,1300,1500,1400],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"KhTfYVKcm206038h","flags":{},"c":[1200,1250,1200,1000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"qWz7H1pe1xgXzrb5","flags":{},"c":[1200,1250,1300,1250],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"zjvwRzxeOMWPF4C5","flags":{},"c":[1300,1250,1300,1000],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"ZNqohidK6s2Pcu6H","flags":{},"c":[2400,1512,2600,1512],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"oE14Qgxltuuf5iCK","flags":{},"c":[2600,1512,2600,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"qh5MrCRimkLVFJJi","flags":{},"c":[2600,1700,2300,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"ebbXTmzEYl3HdAFc","flags":{},"c":[2600,1700,2600,2300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"cpYxrSpgzbgg95DM","flags":{},"c":[2600,2300,2300,2300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"M2gKZZaEjnti0rRa","flags":{},"c":[2600,2300,2600,2500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"pcc46lPYUsXn6rdE","flags":{},"c":[2600,2500,1700,2500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"ZNGKIcsmq3WLy1n7","flags":{},"c":[1700,2500,1512,2500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"wM4haI0XwCMu2yx1","flags":{},"c":[1512,2500,1512,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"dy1N6Vz4JEpcbop4","flags":{},"c":[1512,2600,1700,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Mm4DPLJN1ACjuFN5","flags":{},"c":[1700,2600,1700,2500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"CfyLooRrXQThnC4O","flags":{},"c":[1700,2600,1700,3325],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"zAPDAwEcVnkjT87I","flags":{},"c":[1700,3325,1675,3462],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"gccWXYy9nusDgg0S","flags":{},"c":[1675,3462,1550,3637],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"lMByKcbMluUpZoYN","flags":{},"c":[1550,3637,1475,3700],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"fEBsDqYZRurirdFM","flags":{},"c":[1475,3700,1325,3775],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"3lE06s42RW7AuswM","flags":{},"c":[1325,3775,1137,3800],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"1eYk1g1DZGNQkk2S","flags":{},"c":[1137,3800,937,3762],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"GMk4jYYLDjo40yeO","flags":{},"c":[937,3762,937,3750],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"f4PlQ7fRSlI0SY3A","flags":{},"c":[937,3750,787,3662],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"sviTYyKI1xVMmBFl","flags":{},"c":[787,3662,750,3612],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"1EkUs89YGMFEqinA","flags":{},"c":[750,3612,700,3500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"A52VYIc3tSkInNuL","flags":{},"c":[750,3612,837,3550],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"rKKApWQDFg1sIhS0","flags":{},"c":[837,3550,912,3637],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"7lIB4Txonc8PShi5","flags":{},"c":[912,3637,1050,3687],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"7HSfW4kZ1gVKicwz","flags":{},"c":[1050,3687,1212,3700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"VEUZ1q087AybDTdi","flags":{},"c":[1212,3700,1362,3662],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"M6luJILc3oVlV6fN","flags":{},"c":[1362,3662,1475,3575],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"U98pSBnvMeLlZBVz","flags":{},"c":[1475,3575,1550,3637],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"MrMoKvZAvV2eUma5","flags":{},"c":[800,2700,900,2700],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"yzsvd5aEB5PQRbmL","flags":{},"c":[1500,1900,1500,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"ynrngWsNTYS39Y4m","flags":{},"c":[1500,1700,2100,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Ykn8F2ZKjtGMEJED","flags":{},"c":[2100,1700,2100,1887],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"mojUxtMkiHzM2z9d","flags":{},"c":[1500,2100,1500,2300],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"XxBZE11UAKXZgdER","flags":{},"c":[1500,2300,2100,2300],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"6J0Sr7GFriKYE1hG","flags":{},"c":[2100,2300,2100,2100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"2IrIcczCorFr6yud","flags":{},"c":[2075,3537,2150,3612],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"ZAD8FgycfHb4Ceze","flags":{},"c":[2150,3612,2300,3675],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"by93a8bnHKuqr0ZA","flags":{},"c":[2300,3675,2462,3687],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"zAvuGaaVllgDi05n","flags":{},"c":[2462,3687,2600,3650],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"cxT5LIhvpPAfdKsN","flags":{},"c":[2600,3650,2712,3562],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"K9wJnb8rZ9mv8YxW","flags":{},"c":[2712,3562,2775,3625],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"183r0tN1FHDHoWEb","flags":{},"c":[2775,3625,2662,3725],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"LiVTT4DZxgFO6JH8","flags":{},"c":[2662,3725,2475,3800],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"bIZlWgvT8wiMxMRW","flags":{},"c":[2475,3800,2287,3787],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"XJaxSsKpzhBGTyjM","flags":{},"c":[2287,3787,2112,3712],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"BBXi1U8g3TOYR5S2","flags":{},"c":[2112,3712,2000,3587],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"37zLCJlLXRlVsf8c","flags":{},"c":[2000,3587,2075,3537],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"ztEk5YiKcyX45GG2","flags":{},"c":[2000,3587,1912,3425],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"CgK6nXVdyu5Cojxw","flags":{},"c":[1912,3425,1900,3237],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"i84a7Vv4J9CcNxJm","flags":{},"c":[1900,3237,1962,3062],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"miaI11jmFMMSdPqF","flags":{},"c":[1962,3062,2075,2925],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"mCxqPBlArh4plykc","flags":{},"c":[2075,2925,2212,2825],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"Sg0yxCpCMenlXHfY","flags":{},"c":[2212,2825,2362,2800],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"oFLayVkqQv1KIM7j","flags":{},"c":[2362,2800,2525,2812],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"yvwvmEbt4cE93r2I","flags":{},"c":[2525,2812,2687,2887],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"1XDuNyfCS7EKxbU7","flags":{},"c":[2687,2887,2812,3012],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"LlbH8gAJy90zZrc7","flags":{},"c":[2812,3012,2900,3212],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"tSxy7wStmZdXfbcq","flags":{},"c":[2900,3212,2900,3387],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"DeoqCAMQo9b1nLBm","flags":{},"c":[2900,3387,2850,3525],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"MeS3WLGyhzZcotK3","flags":{},"c":[2850,3525,2775,3625],"move":1,"sense":1,"door":0,"ds":0,"locked":false}
            ],
            journals: [
                {"x":1650,"y":1000,"name":"B1."},
                {"x":1850,"y":1050,"name":"B1."},
                {"x":2050,"y":1050,"name":"B1."},
                {"x":2250,"y":1050,"name":"B1."},
                {"x":2250,"y":1350,"name":"B2."},
                {"x":1750,"y":2050,"name":"B3."},
                {"x":1250,"y":2950,"name":"B4."},
                {"x":2450,"y":3250,"name":"B5."}
            ],
        }),
        new ModuleScene({
            name: 'map3',
            nameInfo: { x: 60, y: 675.0001 },
            nameFn: name => name.substring(3).trim(),
            page: 19, width: 1301, height: 1045,
            imageLeft: 10, imageRight: 1290, imageCols: 24,
            imageTop: 11, imageBottom: 1035, imageRows: 30,
            rotateCW: 1,
            walls: [
                {"_id":"sP5PIHLdjRMzgP2D","flags":{},"c":[900,2000,900,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"ppB5n6M36wHwTj5e","flags":{},"c":[900,2600,900,2700],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"GYF7Ik9bhJF2xwk3","flags":{},"c":[900,2700,1000,2700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"WE9yXosnlBj1T4IT","flags":{},"c":[1000,2700,1025,2787],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"vrUzFPwTyA25ZaDC","flags":{},"c":[1025,2787,1075,2875],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"0i8WBh3MobcE6eik","flags":{},"c":[1000,2600,1100,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"2jVHRHQlGSjlEIEb","flags":{},"c":[1100,2600,1100,2700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"18bWajWynXDsTMQU","flags":{},"c":[1100,2700,1150,2812],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"zExj6NHWdnISybiV","flags":{},"c":[1150,2812,1225,2887],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Mx22Yc2oXS92h8VA","flags":{},"c":[1225,2887,1337,2950],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Hxqg5eJ96h6pC0Ib","flags":{},"c":[1337,2950,1425,2987],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"v5EDbaZOvgi8EY9k","flags":{},"c":[1425,2987,1500,3000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"vchknmsnS3rzjqRX","flags":{},"c":[1500,3000,1500,2800],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"bFhF5uJqfRUJP2pd","flags":{},"c":[1500,2800,1412,2787],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"y7LyDGavZgUIiC09","flags":{},"c":[1412,2787,1325,2725],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"NmxHkPGy3QCdvIhE","flags":{},"c":[1325,2725,1300,2700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Le6ABnWIMWIglW16","flags":{},"c":[1300,2700,1300,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"DnhQP84mBsBQU9XT","flags":{},"c":[1300,2600,1400,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"YNrbab6MpMYOltx1","flags":{},"c":[1500,2800,1600,2800],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"iOTWwqfZqPWjrX5D","flags":{},"c":[1500,3000,1600,3000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"3x9CU6BltxSiWxtG","flags":{},"c":[1600,3000,1600,2900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"R8rvzPAIxNu4611s","flags":{},"c":[1500,3000,1500,3300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"QA3YM8qbW5TGxCPo","flags":{},"c":[1500,3300,2100,3300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"TQAAgfaGNbyGDCud","flags":{},"c":[2100,3100,2100,3000],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"DVzk38cxvEGmw4bw","flags":{},"c":[2100,3000,2100,2800],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"hBfkGFKvArGBZWjv","flags":{},"c":[2100,2700,2100,2500],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"fhsj2sX16z4JsnjK","flags":{},"c":[2100,2500,2100,2400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"rXtxr4xZ1BJ1UjXS","flags":{},"c":[2100,2500,2200,2500],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"3RmfnDWrV38seKdT","flags":{},"c":[1600,2800,1600,2900],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"6suZuwHgMu41dZ6l","flags":{},"c":[1600,3000,1800,3000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"8lrpbfopjvMLgXxk","flags":{},"c":[1800,3000,1900,3000],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"AdfNVhDfbKIr0uqz","flags":{},"c":[1900,3000,2100,3000],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"nG4Uw5t9YnoiuqZA","flags":{},"c":[1900,3000,1900,2900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"YRRSNzXLKFWUhP3u","flags":{},"c":[1900,2800,1900,2600],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"6mT8va8lSDVxZDZR","flags":{},"c":[1900,2600,1600,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"GZjxImzmOk8brk6t","flags":{},"c":[1600,2600,1600,2700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"s0uDIjSTm2IjO0uX","flags":{},"c":[1600,2600,1500,2600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Pnklrql7kTcWqVWT","flags":{},"c":[1400,2600,1500,2600],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"7jGfP0MbkIm3lBEq","flags":{},"c":[1600,2700,1600,2800],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"FoM7T90HmySIlCDO","flags":{},"c":[2100,3100,2387,2987],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"JQJ6ai5bH69O58CQ","flags":{},"c":[2387,2987,2387,2700],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"mByjc6Wb0ei083za","flags":{},"c":[2387,2700,2525,2675],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"ddhuPZhi2Nm16MvX","flags":{},"c":[2525,2675,2687,2612],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"PevyWkULQZyMhxYZ","flags":{},"c":[2687,2612,2812,2500],"move":1,"sense":0,"door":0,"ds":0,"locked":false},
                {"_id":"n0itQUZKBIUTnTnJ","flags":{},"c":[2400,2500,2462,2475],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"4qxxW04PPs7L8NIQ","flags":{},"c":[2462,2475,2537,2437],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"az5ysStVAlomS2m6","flags":{},"c":[2537,2437,2575,2375],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"FnZ4TWBfqTfbPogp","flags":{},"c":[2575,2375,2600,2300],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"pfnbbhwmALZXUp5I","flags":{},"c":[2600,2300,2575,2212],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"yuiV99cJIvln0qI3","flags":{},"c":[2575,2212,2525,2162],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"ZQ47ZUiTo6G0PmkM","flags":{},"c":[2525,2162,2462,2112],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"5dvo7MAkRscw4G3j","flags":{},"c":[2462,2112,2400,2100],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"5ZLDxwHaoSUflThe","flags":{},"c":[2200,2500,2300,2500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"eYA6fwTkrgHYfhBV","flags":{},"c":[2300,2500,2300,2400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"zeaT2psjgPAytWIr","flags":{},"c":[2300,2400,2400,2400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"BbyFNPp7FteVWSNS","flags":{},"c":[2400,2400,2437,2387],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"aLRr5VRYsyORlzLq","flags":{},"c":[2300,2100,2200,2100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"sa6xTvpiyiGsXkwL","flags":{},"c":[2300,2100,2300,2200],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"YLGJfTTF03gHcrvg","flags":{},"c":[2300,2200,2400,2200],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"taD25KsDkD7j94Me","flags":{},"c":[2400,2200,2450,2212],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"sjWVC9p6EzUtEWXo","flags":{},"c":[2487,2350,2500,2300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"oDMGQC2f2ufw0GBf","flags":{},"c":[2500,2300,2487,2250],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"nwHLO3fLe8wBwsgs","flags":{},"c":[2200,2100,2100,2100],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"0FGnwpBWj6NGXxIN","flags":{},"c":[2100,2400,2100,2200],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"lZcE49E6929esbuB","flags":{},"c":[2100,2200,2100,2100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"nAwB1QVLzq3C8IQe","flags":{},"c":[2100,2100,2100,1900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"Y0zywqMYSRZl6BP0","flags":{},"c":[2100,1800,2100,1600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"zbFCRRUsjSDZwoZH","flags":{},"c":[2100,1600,2100,1512],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"aftXasrjyC0z2gNY","flags":{},"c":[2100,1512,2400,1712],"move":1,"sense":0,"door":0,"ds":0,"locked":false},
                {"_id":"LTIsZ55zOL8U1OIe","flags":{},"c":[2400,1712,2400,1900],"move":1,"sense":0,"door":0,"ds":0,"locked":false},
                {"_id":"QIAmD7oQwnBxKEBU","flags":{},"c":[2400,1900,2500,1925],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"8D8LoNe6bmreDXoJ","flags":{},"c":[2500,1925,2637,1975],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"8av6RWyN6Yi2PX6c","flags":{},"c":[2637,1975,2750,2050],"move":1,"sense":0,"door":0,"ds":0,"locked":false},
                {"_id":"7xc9UClMr5jQ3xTo","flags":{},"c":[2750,2050,2800,2100],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"pThAnd1VZtZSgydo","flags":{},"c":[2100,1600,1900,1600],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"LHQj8y3zUlIFKIjx","flags":{},"c":[1900,1600,1900,1500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"EA3HLrCXHXok5Scy","flags":{},"c":[2100,1512,2100,1300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"hRYlB3dBRwIZHzJK","flags":{},"c":[2100,1300,1900,1300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"xrGNkBoMCStR4jwK","flags":{},"c":[1900,1300,1900,1400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"aS6RxppZ8RiqZVI5","flags":{},"c":[1900,1300,1700,1300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"YYoBSrLHNB4HesRJ","flags":{},"c":[1700,1300,1700,1400],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"HhlSIqOZqcnszGzZ","flags":{},"c":[1700,1300,1500,1300],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"TKDPqx7bgeTjd7cM","flags":{},"c":[1500,1300,1500,1600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"FOvNuY2boppkmKMW","flags":{},"c":[1500,1600,1375,1625],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"XZX15MrAM1dJ4Fd3","flags":{},"c":[1375,1625,1275,1675],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"eYY8xoZjqoMDEzkC","flags":{},"c":[1275,1675,1187,1750],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"DnvLl0R7yJax0k5B","flags":{},"c":[1187,1750,1125,1837],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"bAWEIGT3KDP2uvqY","flags":{},"c":[1125,1837,1100,1900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"zoYlvsSuWZLqiYv6","flags":{},"c":[1100,1900,1100,2000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"W2KpQ48kFByTn31v","flags":{},"c":[1100,2000,1000,2000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"DdtaDjGknR65uY1i","flags":{},"c":[900,2000,900,1900],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"m1Z7KTy2DFYg9B5k","flags":{},"c":[900,1900,1000,1900],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"uvZr637WXKQUjs2p","flags":{},"c":[1000,1900,1025,1812],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"wP7neIOp6zVTDcpS","flags":{},"c":[1025,1812,1075,1737],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"dIf0nCzeaSFOJeMp","flags":{},"c":[1500,1700,1500,1787],"move":1,"sense":1,"door":0,"ds":0,"locked":false},
                {"_id":"4A7ZcTlZPCU9w8Yl","flags":{},"c":[1500,1787,1400,1812],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"3hDBd6pflH9oPf3X","flags":{},"c":[1400,1812,1337,1850],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"U2trf8B81UGkFW0n","flags":{},"c":[1337,1850,1300,1900],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"lZGmvFgeGLyuOoMp","flags":{},"c":[1300,1900,1300,2000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"UvCDv5shtEyHaSo2","flags":{},"c":[1300,2000,1400,2000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"aLzoM26pomOyVwGL","flags":{},"c":[1400,2000,1500,2000],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"kN5JAslI5rjy2sPI","flags":{},"c":[1500,1787,1500,1887],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"2U6YWfju5It0Ilw5","flags":{},"c":[1500,2000,1500,1887],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"1RPZquHp77VTyuEy","flags":{},"c":[1500,2000,1600,2000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"I7p69IZM0q5hqYUf","flags":{},"c":[1600,2000,1700,2000],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"FjHSAec7GanFMMea","flags":{},"c":[1700,2000,1900,2000],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"FWIj4VxnjVldaJxl","flags":{},"c":[1900,2000,1900,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"IRMxTECjVExjiQB3","flags":{},"c":[1900,1700,1900,1600],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"k0flEgUViwx2aPtj","flags":{},"c":[1900,1700,1800,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"wAonWJyBKnryueit","flags":{},"c":[1500,1600,1500,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"MmJfIACO2OulYwO9","flags":{},"c":[1500,1700,1700,1700],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"v1fW8WRTGHqthpXo","flags":{},"c":[1700,1700,1700,1500],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"SxLKoS0LO7GtflpR","flags":{},"c":[1700,1700,1800,1700],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"23kpQerBcwyqBqXZ","flags":{},"c":[2100,3300,2100,3100],"move":1,"sense":1,"door":0,"ds":0},
                {"_id":"YWTJDNUISwKLbcHE","flags":{},"c":[1900,1400,1900,1500],"move":1,"sense":1,"door":1,"ds":0},
                {"_id":"fD6lWIugiiQQZjEI","flags":{},"c":[2100,1800,2100,1900],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"KrDkqjHRzfEcjYtr","flags":{},"c":[2100,2700,2100,2800],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"KYlA6EidNEkzLGPD","flags":{},"c":[2450,2212,2487,2250],"move":1,"sense":0,"door":0,"ds":0},
                {"_id":"pSBFhZflkV3i6CGQ","flags":{},"c":[2487,2350,2437,2387],"move":1,"sense":0,"door":0,"ds":0}
            ],
            journals: [
                {"x":2850,"y":2250,"name":"C1."},
                {"x":1650,"y":2350,"name":"C2."},
                {"x":1750,"y":1450,"name":"C3."},
                {"x":1550,"y":1450,"name":"C4."},
                {"x":1650,"y":1850,"name":"C5."},
                {"x":1750,"y":2750,"name":"C6."},
                {"x":1850,"y":3150,"name":"C7."}
            ],
        }),
        new ModuleScene({
            name: 'map4',
            nameInfo: { x: 72, y: 675.0001 },
            nameFn: name => name.substring(3).trim(),
            page: 23, width: 996, height: 1300,
            imageLeft: 36, imageRight: 959, imageCols: 22,
            imageTop: 21, imageBottom: 1279, imageRows: 30,
            rotateCW: 0,
        }),
    ],
    journals: [
        new AdventureImage({ name: 'journal1', page: 1, width: 1519, height: 1673 }),
        new AdventureImage({ name: 'journal2', page: 3, width: 403, height: 527 }),
        
        new CaptionImage({ name: 'npc1', page: 42, width: 951, height: 1176 }),
        new CaptionImage({ name: 'npc2', page: 43, width: 924, height: 924 }),
        new CaptionImage({ name: 'npc3', page: 44, width: 856, height: 856 }),
        new CaptionImage({ name: 'npc4', page: 45, width: 846, height: 846 }),
        new CaptionImage({ name: 'npc5', page: 46, width: 892, height: 892 }),
        new CaptionImage({ name: 'npc6', page: 47, width: 1152, height: 1152 }),
        new CaptionImage({ name: 'npc7', page: 48, width: 1204, height: 1504 }),
        new CaptionImage({ name: 'npc8', page: 49, width: 1059, height: 1152 }),
        new CaptionImage({ name: 'npc9', page: 50, width: 1504, height: 1204 }),
        new CaptionImage({ name: 'npc10', page: 51, width: 1093, height: 1430 }),
        new CaptionImage({ name: 'npc11', page: 52, width: 1199, height: 1200 }),
        new CaptionImage({ name: 'npc12', page: 53, width: 953, height: 953 }),
        new CaptionImage({ name: 'npc13', page: 54, width: 927, height: 927 }),
        new CaptionImage({ name: 'npc14', page: 55, width: 1123, height: 1123 }),
        new CaptionImage({ name: 'npc15', page: 56, width: 1050, height: 1200 }),
        new CaptionImage({ name: 'npc16', page: 57, width: 948, height: 1200 }),
        new CaptionImage({ name: 'npc17', page: 58, width: 961, height: 1201 }),
        new CaptionImage({ name: 'npc18', page: 59, width: 938, height: 1267 }),
        new CaptionImage({ name: 'npc19', page: 60, width: 1108, height: 1017 }),
        new CaptionImage({ name: 'npc20', page: 61, width: 855, height: 1180 }),
        new CaptionImage({ name: 'npc21', page: 62, width: 1582, height: 1885 }),
        new CaptionImage({ name: 'npc22', page: 63, width: 1465, height: 1739 }),
        new CaptionImage({ name: 'npc23', page: 64, width: 962, height: 1200 }),
    ],
    finalize: (moduleData: ModuleData) => {
    }
};

export default adventureModule;